searchNodes=[{"ref":"ChromeRemoteInterface.html","title":"ChromeRemoteInterface","type":"module","doc":"Documentation for ChromeRemoteInterface."},{"ref":"ChromeRemoteInterface.html#protocol_version/0","title":"ChromeRemoteInterface.protocol_version/0","type":"function","doc":"Gets the current version of the Chrome Debugger Protocol"},{"ref":"ChromeRemoteInterface.HTTP.html","title":"ChromeRemoteInterface.HTTP","type":"module","doc":"This module handles communicating with the DevTools HTTP JSON API."},{"ref":"ChromeRemoteInterface.HTTP.html#call/2","title":"ChromeRemoteInterface.HTTP.call/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.HTTP.html#t:error_http_response/0","title":"ChromeRemoteInterface.HTTP.error_http_response/0","type":"type","doc":""},{"ref":"ChromeRemoteInterface.HTTP.html#t:success_http_response/0","title":"ChromeRemoteInterface.HTTP.success_http_response/0","type":"type","doc":""},{"ref":"ChromeRemoteInterface.PageSession.html","title":"ChromeRemoteInterface.PageSession","type":"module","doc":"This module is responsible for all things connected to a Page. Spawning a process that manages the websocket connection Handling request/response for RPC calls by maintaining unique message IDs Forwarding Domain events to subscribers."},{"ref":"ChromeRemoteInterface.PageSession.html#call/4","title":"ChromeRemoteInterface.PageSession.call/4","type":"function","doc":"Executes a raw JSON RPC command through Websockets."},{"ref":"ChromeRemoteInterface.PageSession.html#cast/4","title":"ChromeRemoteInterface.PageSession.cast/4","type":"function","doc":"Executes a raw JSON RPC command through Websockets, but sends the response as a message to the requesting process."},{"ref":"ChromeRemoteInterface.PageSession.html#child_spec/1","title":"ChromeRemoteInterface.PageSession.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"ChromeRemoteInterface.PageSession.html#execute_command/4","title":"ChromeRemoteInterface.PageSession.execute_command/4","type":"function","doc":"Executes an RPC command with the given options. Options: :async - If a boolean, sends the response as a message to the current process. Else, if provided with a PID, it will send the response to that process instead. :timeout - This sets the timeout for the blocking call, defaults to 5 seconds."},{"ref":"ChromeRemoteInterface.PageSession.html#init/1","title":"ChromeRemoteInterface.PageSession.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"ChromeRemoteInterface.PageSession.html#start_link/1","title":"ChromeRemoteInterface.PageSession.start_link/1","type":"function","doc":"Connect to a Page&#39;s &#39;webSocketDebuggerUrl&#39;."},{"ref":"ChromeRemoteInterface.PageSession.html#stop/1","title":"ChromeRemoteInterface.PageSession.stop/1","type":"function","doc":"Stop the websocket connection to the page."},{"ref":"ChromeRemoteInterface.PageSession.html#subscribe/3","title":"ChromeRemoteInterface.PageSession.subscribe/3","type":"function","doc":"Subscribe to an event. Events that get fired will be returned to the subscribed process under the following format: {:chrome_remote_interface, event_name, response} Please note that you must also enable events for that domain! Example: iex&gt; ChromeRemoteInterface.RPC.Page.enable(page_pid) iex&gt; ChromeRemoteInterface.PageSession.subscribe(page_pid, &quot;Page.loadEventFired&quot;) iex&gt; ChromeRemoteInterface.RPC.Page.navigate(page_pid, %{url: &quot;https://google.com&quot;}) iex&gt; flush() {:chrome_remote_interface, &quot;Page.loadEventFirst&quot;, %{&quot;method&quot; =&gt; &quot;Page.loadEventFired&quot;, &quot;params&quot; =&gt; %{&quot;timestamp&quot; =&gt; 1012329.888558}}}"},{"ref":"ChromeRemoteInterface.PageSession.html#unsubscribe/3","title":"ChromeRemoteInterface.PageSession.unsubscribe/3","type":"function","doc":"Unsubscribes from an event."},{"ref":"ChromeRemoteInterface.PageSession.html#unsubscribe_all/2","title":"ChromeRemoteInterface.PageSession.unsubscribe_all/2","type":"function","doc":"Unsubcribes to all events."},{"ref":"ChromeRemoteInterface.RPC.Browser.html","title":"ChromeRemoteInterface.RPC.Browser","type":"module","doc":"The Browser domain defines methods and events for browser managing."},{"ref":"ChromeRemoteInterface.RPC.Browser.html#close/1","title":"ChromeRemoteInterface.RPC.Browser.close/1","type":"function","doc":"Close browser gracefully. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Browser.html#close/2","title":"ChromeRemoteInterface.RPC.Browser.close/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Browser.html#close/3","title":"ChromeRemoteInterface.RPC.Browser.close/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Browser.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Browser.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Browser.html#getVersion/1","title":"ChromeRemoteInterface.RPC.Browser.getVersion/1","type":"function","doc":"Returns version information. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Browser.html#getVersion/2","title":"ChromeRemoteInterface.RPC.Browser.getVersion/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Browser.html#getVersion/3","title":"ChromeRemoteInterface.RPC.Browser.getVersion/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html","title":"ChromeRemoteInterface.RPC.DOM","type":"module","doc":"This domain exposes DOM read/write operations. Each DOM Node is represented with its mirror object that has an id. This id can be used to get additional information on the Node, resolve it into the JavaScript object wrapper, etc. It is important that client receives DOM events only for the nodes that are known to the client. Backend keeps track of the nodes that were sent to the client and never sends the same node twice. It is client&#39;s responsibility to collect information about the nodes that were sent to the client.Note that iframe owner elements will return corresponding document elements as their child nodes."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#describeNode/1","title":"ChromeRemoteInterface.RPC.DOM.describeNode/1","type":"function","doc":"Describes node given its id, does not require domain to be enabled. Does not start tracking any objects, can be used for automation. Parameters: nodeId - - Identifier of the node.backendNodeId - - Identifier of the backend node.objectId - - JavaScript object id of the node wrapper.depth - - The maximum depth at which children should be retrieved, defaults to 1. Use -1 for the entire subtree or provide an integer larger than 0.pierce - - Whether or not iframes and shadow roots should be traversed when returning the subtree (default is false)."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#describeNode/2","title":"ChromeRemoteInterface.RPC.DOM.describeNode/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#describeNode/3","title":"ChromeRemoteInterface.RPC.DOM.describeNode/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#disable/1","title":"ChromeRemoteInterface.RPC.DOM.disable/1","type":"function","doc":"Disables DOM agent for the given page. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.DOM.html#disable/2","title":"ChromeRemoteInterface.RPC.DOM.disable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#disable/3","title":"ChromeRemoteInterface.RPC.DOM.disable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#enable/1","title":"ChromeRemoteInterface.RPC.DOM.enable/1","type":"function","doc":"Enables DOM agent for the given page. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.DOM.html#enable/2","title":"ChromeRemoteInterface.RPC.DOM.enable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#enable/3","title":"ChromeRemoteInterface.RPC.DOM.enable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#experimental?/0","title":"ChromeRemoteInterface.RPC.DOM.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#focus/1","title":"ChromeRemoteInterface.RPC.DOM.focus/1","type":"function","doc":"Focuses the given element. Parameters: nodeId - - Identifier of the node.backendNodeId - - Identifier of the backend node.objectId - - JavaScript object id of the node wrapper."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#focus/2","title":"ChromeRemoteInterface.RPC.DOM.focus/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#focus/3","title":"ChromeRemoteInterface.RPC.DOM.focus/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getAttributes/1","title":"ChromeRemoteInterface.RPC.DOM.getAttributes/1","type":"function","doc":"Returns attributes for the specified node. Parameters: nodeId - - Id of the node to retrieve attibutes for."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getAttributes/2","title":"ChromeRemoteInterface.RPC.DOM.getAttributes/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getAttributes/3","title":"ChromeRemoteInterface.RPC.DOM.getAttributes/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getBoxModel/1","title":"ChromeRemoteInterface.RPC.DOM.getBoxModel/1","type":"function","doc":"Returns boxes for the given node. Parameters: nodeId - - Identifier of the node.backendNodeId - - Identifier of the backend node.objectId - - JavaScript object id of the node wrapper."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getBoxModel/2","title":"ChromeRemoteInterface.RPC.DOM.getBoxModel/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getBoxModel/3","title":"ChromeRemoteInterface.RPC.DOM.getBoxModel/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getDocument/1","title":"ChromeRemoteInterface.RPC.DOM.getDocument/1","type":"function","doc":"Returns the root DOM node (and optionally the subtree) to the caller. Parameters: depth - - The maximum depth at which children should be retrieved, defaults to 1. Use -1 for the entire subtree or provide an integer larger than 0.pierce - - Whether or not iframes and shadow roots should be traversed when returning the subtree (default is false)."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getDocument/2","title":"ChromeRemoteInterface.RPC.DOM.getDocument/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getDocument/3","title":"ChromeRemoteInterface.RPC.DOM.getDocument/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getFlattenedDocument/1","title":"ChromeRemoteInterface.RPC.DOM.getFlattenedDocument/1","type":"function","doc":"Returns the root DOM node (and optionally the subtree) to the caller. Parameters: depth - - The maximum depth at which children should be retrieved, defaults to 1. Use -1 for the entire subtree or provide an integer larger than 0.pierce - - Whether or not iframes and shadow roots should be traversed when returning the subtree (default is false)."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getFlattenedDocument/2","title":"ChromeRemoteInterface.RPC.DOM.getFlattenedDocument/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getFlattenedDocument/3","title":"ChromeRemoteInterface.RPC.DOM.getFlattenedDocument/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getOuterHTML/1","title":"ChromeRemoteInterface.RPC.DOM.getOuterHTML/1","type":"function","doc":"Returns node&#39;s HTML markup. Parameters: nodeId - - Identifier of the node.backendNodeId - - Identifier of the backend node.objectId - - JavaScript object id of the node wrapper."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getOuterHTML/2","title":"ChromeRemoteInterface.RPC.DOM.getOuterHTML/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#getOuterHTML/3","title":"ChromeRemoteInterface.RPC.DOM.getOuterHTML/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#hideHighlight/1","title":"ChromeRemoteInterface.RPC.DOM.hideHighlight/1","type":"function","doc":"Hides any highlight. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.DOM.html#hideHighlight/2","title":"ChromeRemoteInterface.RPC.DOM.hideHighlight/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#hideHighlight/3","title":"ChromeRemoteInterface.RPC.DOM.hideHighlight/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#highlightNode/1","title":"ChromeRemoteInterface.RPC.DOM.highlightNode/1","type":"function","doc":"Highlights DOM node. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.DOM.html#highlightNode/2","title":"ChromeRemoteInterface.RPC.DOM.highlightNode/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#highlightNode/3","title":"ChromeRemoteInterface.RPC.DOM.highlightNode/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#highlightRect/1","title":"ChromeRemoteInterface.RPC.DOM.highlightRect/1","type":"function","doc":"Highlights given rectangle. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.DOM.html#highlightRect/2","title":"ChromeRemoteInterface.RPC.DOM.highlightRect/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#highlightRect/3","title":"ChromeRemoteInterface.RPC.DOM.highlightRect/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#moveTo/1","title":"ChromeRemoteInterface.RPC.DOM.moveTo/1","type":"function","doc":"Moves node into the new container, places it before the given anchor. Parameters: nodeId - - Id of the node to move.targetNodeId - - Id of the element to drop the moved node into.insertBeforeNodeId - - Drop node before this one (if absent, the moved node becomes the last child of targetNodeId)."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#moveTo/2","title":"ChromeRemoteInterface.RPC.DOM.moveTo/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#moveTo/3","title":"ChromeRemoteInterface.RPC.DOM.moveTo/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#querySelector/1","title":"ChromeRemoteInterface.RPC.DOM.querySelector/1","type":"function","doc":"Executes querySelector on a given node. Parameters: nodeId - - Id of the node to query upon.selector - - Selector string."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#querySelector/2","title":"ChromeRemoteInterface.RPC.DOM.querySelector/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#querySelector/3","title":"ChromeRemoteInterface.RPC.DOM.querySelector/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#querySelectorAll/1","title":"ChromeRemoteInterface.RPC.DOM.querySelectorAll/1","type":"function","doc":"Executes querySelectorAll on a given node. Parameters: nodeId - - Id of the node to query upon.selector - - Selector string."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#querySelectorAll/2","title":"ChromeRemoteInterface.RPC.DOM.querySelectorAll/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#querySelectorAll/3","title":"ChromeRemoteInterface.RPC.DOM.querySelectorAll/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#removeAttribute/1","title":"ChromeRemoteInterface.RPC.DOM.removeAttribute/1","type":"function","doc":"Removes attribute with given name from an element with given id. Parameters: nodeId - - Id of the element to remove attribute from.name - - Name of the attribute to remove."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#removeAttribute/2","title":"ChromeRemoteInterface.RPC.DOM.removeAttribute/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#removeAttribute/3","title":"ChromeRemoteInterface.RPC.DOM.removeAttribute/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#removeNode/1","title":"ChromeRemoteInterface.RPC.DOM.removeNode/1","type":"function","doc":"Removes node with given id. Parameters: nodeId - - Id of the node to remove."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#removeNode/2","title":"ChromeRemoteInterface.RPC.DOM.removeNode/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#removeNode/3","title":"ChromeRemoteInterface.RPC.DOM.removeNode/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#requestChildNodes/1","title":"ChromeRemoteInterface.RPC.DOM.requestChildNodes/1","type":"function","doc":"Requests that children of the node with given id are returned to the caller in form of setChildNodes events where not only immediate children are retrieved, but all children down to the specified depth. Parameters: nodeId - - Id of the node to get children for.depth - - The maximum depth at which children should be retrieved, defaults to 1. Use -1 for the entire subtree or provide an integer larger than 0.pierce - - Whether or not iframes and shadow roots should be traversed when returning the sub-tree (default is false)."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#requestChildNodes/2","title":"ChromeRemoteInterface.RPC.DOM.requestChildNodes/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#requestChildNodes/3","title":"ChromeRemoteInterface.RPC.DOM.requestChildNodes/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#requestNode/1","title":"ChromeRemoteInterface.RPC.DOM.requestNode/1","type":"function","doc":"Requests that the node is sent to the caller given the JavaScript node object reference. All nodes that form the path from the node to the root are also sent to the client as a series of setChildNodes notifications. Parameters: objectId - - JavaScript object id to convert into node."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#requestNode/2","title":"ChromeRemoteInterface.RPC.DOM.requestNode/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#requestNode/3","title":"ChromeRemoteInterface.RPC.DOM.requestNode/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#resolveNode/1","title":"ChromeRemoteInterface.RPC.DOM.resolveNode/1","type":"function","doc":"Resolves the JavaScript node object for a given NodeId or BackendNodeId. Parameters: nodeId - - Id of the node to resolve.backendNodeId - - Backend identifier of the node to resolve.objectGroup - - Symbolic group name that can be used to release multiple objects.executionContextId - - Execution context in which to resolve the node."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#resolveNode/2","title":"ChromeRemoteInterface.RPC.DOM.resolveNode/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#resolveNode/3","title":"ChromeRemoteInterface.RPC.DOM.resolveNode/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setAttributeValue/1","title":"ChromeRemoteInterface.RPC.DOM.setAttributeValue/1","type":"function","doc":"Sets attribute for an element with given id. Parameters: nodeId - - Id of the element to set attribute for.name - - Attribute name.value - - Attribute value."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setAttributeValue/2","title":"ChromeRemoteInterface.RPC.DOM.setAttributeValue/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setAttributeValue/3","title":"ChromeRemoteInterface.RPC.DOM.setAttributeValue/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setAttributesAsText/1","title":"ChromeRemoteInterface.RPC.DOM.setAttributesAsText/1","type":"function","doc":"Sets attributes on element with given id. This method is useful when user edits some existing attribute value and types in several attribute name/value pairs. Parameters: nodeId - - Id of the element to set attributes for.text - - Text with a number of attributes. Will parse this text using HTML parser.name - - Attribute name to replace with new attributes derived from text in case text parsed successfully."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setAttributesAsText/2","title":"ChromeRemoteInterface.RPC.DOM.setAttributesAsText/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setAttributesAsText/3","title":"ChromeRemoteInterface.RPC.DOM.setAttributesAsText/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setFileInputFiles/1","title":"ChromeRemoteInterface.RPC.DOM.setFileInputFiles/1","type":"function","doc":"Sets files for the given file input element. Parameters: files - - Array of file paths to set.nodeId - - Identifier of the node.backendNodeId - - Identifier of the backend node.objectId - - JavaScript object id of the node wrapper."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setFileInputFiles/2","title":"ChromeRemoteInterface.RPC.DOM.setFileInputFiles/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setFileInputFiles/3","title":"ChromeRemoteInterface.RPC.DOM.setFileInputFiles/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setNodeName/1","title":"ChromeRemoteInterface.RPC.DOM.setNodeName/1","type":"function","doc":"Sets node name for a node with given id. Parameters: nodeId - - Id of the node to set name for.name - - New node&#39;s name."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setNodeName/2","title":"ChromeRemoteInterface.RPC.DOM.setNodeName/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setNodeName/3","title":"ChromeRemoteInterface.RPC.DOM.setNodeName/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setNodeValue/1","title":"ChromeRemoteInterface.RPC.DOM.setNodeValue/1","type":"function","doc":"Sets node value for a node with given id. Parameters: nodeId - - Id of the node to set value for.value - - New node&#39;s value."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setNodeValue/2","title":"ChromeRemoteInterface.RPC.DOM.setNodeValue/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setNodeValue/3","title":"ChromeRemoteInterface.RPC.DOM.setNodeValue/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setOuterHTML/1","title":"ChromeRemoteInterface.RPC.DOM.setOuterHTML/1","type":"function","doc":"Sets node HTML markup, returns new node id. Parameters: nodeId - - Id of the node to set markup for.outerHTML - - Outer HTML markup to set."},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setOuterHTML/2","title":"ChromeRemoteInterface.RPC.DOM.setOuterHTML/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOM.html#setOuterHTML/3","title":"ChromeRemoteInterface.RPC.DOM.setOuterHTML/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html","title":"ChromeRemoteInterface.RPC.DOMDebugger","type":"module","doc":"DOM debugging allows setting breakpoints on particular DOM operations and events. JavaScript execution will stop on these operations as if there was a regular breakpoint set."},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#experimental?/0","title":"ChromeRemoteInterface.RPC.DOMDebugger.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#getEventListeners/1","title":"ChromeRemoteInterface.RPC.DOMDebugger.getEventListeners/1","type":"function","doc":"Returns event listeners of the given object. Parameters: objectId - - Identifier of the object to return listeners for.depth - - The maximum depth at which Node children should be retrieved, defaults to 1. Use -1 for the entire subtree or provide an integer larger than 0.pierce - - Whether or not iframes and shadow roots should be traversed when returning the subtree (default is false). Reports listeners for all contexts if pierce is enabled."},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#getEventListeners/2","title":"ChromeRemoteInterface.RPC.DOMDebugger.getEventListeners/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#getEventListeners/3","title":"ChromeRemoteInterface.RPC.DOMDebugger.getEventListeners/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#removeDOMBreakpoint/1","title":"ChromeRemoteInterface.RPC.DOMDebugger.removeDOMBreakpoint/1","type":"function","doc":"Removes DOM breakpoint that was set using setDOMBreakpoint. Parameters: nodeId - - Identifier of the node to remove breakpoint from.type - - Type of the breakpoint to remove."},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#removeDOMBreakpoint/2","title":"ChromeRemoteInterface.RPC.DOMDebugger.removeDOMBreakpoint/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#removeDOMBreakpoint/3","title":"ChromeRemoteInterface.RPC.DOMDebugger.removeDOMBreakpoint/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#removeEventListenerBreakpoint/1","title":"ChromeRemoteInterface.RPC.DOMDebugger.removeEventListenerBreakpoint/1","type":"function","doc":"Removes breakpoint on particular DOM event. Parameters: eventName - - Event name.targetName - - EventTarget interface name."},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#removeEventListenerBreakpoint/2","title":"ChromeRemoteInterface.RPC.DOMDebugger.removeEventListenerBreakpoint/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#removeEventListenerBreakpoint/3","title":"ChromeRemoteInterface.RPC.DOMDebugger.removeEventListenerBreakpoint/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#removeXHRBreakpoint/1","title":"ChromeRemoteInterface.RPC.DOMDebugger.removeXHRBreakpoint/1","type":"function","doc":"Removes breakpoint from XMLHttpRequest. Parameters: url - - Resource URL substring."},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#removeXHRBreakpoint/2","title":"ChromeRemoteInterface.RPC.DOMDebugger.removeXHRBreakpoint/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#removeXHRBreakpoint/3","title":"ChromeRemoteInterface.RPC.DOMDebugger.removeXHRBreakpoint/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#setDOMBreakpoint/1","title":"ChromeRemoteInterface.RPC.DOMDebugger.setDOMBreakpoint/1","type":"function","doc":"Sets breakpoint on particular operation with DOM. Parameters: nodeId - - Identifier of the node to set breakpoint on.type - - Type of the operation to stop upon."},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#setDOMBreakpoint/2","title":"ChromeRemoteInterface.RPC.DOMDebugger.setDOMBreakpoint/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#setDOMBreakpoint/3","title":"ChromeRemoteInterface.RPC.DOMDebugger.setDOMBreakpoint/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#setEventListenerBreakpoint/1","title":"ChromeRemoteInterface.RPC.DOMDebugger.setEventListenerBreakpoint/1","type":"function","doc":"Sets breakpoint on particular DOM event. Parameters: eventName - - DOM Event name to stop on (any DOM event will do).targetName - - EventTarget interface name to stop on. If equal to &quot;*&quot; or not provided, will stop on any EventTarget."},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#setEventListenerBreakpoint/2","title":"ChromeRemoteInterface.RPC.DOMDebugger.setEventListenerBreakpoint/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#setEventListenerBreakpoint/3","title":"ChromeRemoteInterface.RPC.DOMDebugger.setEventListenerBreakpoint/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#setXHRBreakpoint/1","title":"ChromeRemoteInterface.RPC.DOMDebugger.setXHRBreakpoint/1","type":"function","doc":"Sets breakpoint on XMLHttpRequest. Parameters: url - - Resource URL substring. All XHRs having this substring in the URL will get stopped upon."},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#setXHRBreakpoint/2","title":"ChromeRemoteInterface.RPC.DOMDebugger.setXHRBreakpoint/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.DOMDebugger.html#setXHRBreakpoint/3","title":"ChromeRemoteInterface.RPC.DOMDebugger.setXHRBreakpoint/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html","title":"ChromeRemoteInterface.RPC.Debugger","type":"module","doc":"Debugger domain exposes JavaScript debugging capabilities. It allows setting and removing breakpoints, stepping through execution, exploring stack traces, etc."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#continueToLocation/1","title":"ChromeRemoteInterface.RPC.Debugger.continueToLocation/1","type":"function","doc":"Continues execution until specific location is reached. Parameters: location - - Location to continue to.targetCallFrames - -"},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#continueToLocation/2","title":"ChromeRemoteInterface.RPC.Debugger.continueToLocation/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#continueToLocation/3","title":"ChromeRemoteInterface.RPC.Debugger.continueToLocation/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#disable/1","title":"ChromeRemoteInterface.RPC.Debugger.disable/1","type":"function","doc":"Disables debugger for given page. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#disable/2","title":"ChromeRemoteInterface.RPC.Debugger.disable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#disable/3","title":"ChromeRemoteInterface.RPC.Debugger.disable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#enable/1","title":"ChromeRemoteInterface.RPC.Debugger.enable/1","type":"function","doc":"Enables debugger for the given page. Clients should not assume that the debugging has been enabled until the result for this command is received. Parameters: maxScriptsCacheSize - - The maximum size in bytes of collected scripts (not referenced by other heap objects) the debugger can hold. Puts no limit if paramter is omitted."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#enable/2","title":"ChromeRemoteInterface.RPC.Debugger.enable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#enable/3","title":"ChromeRemoteInterface.RPC.Debugger.enable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#evaluateOnCallFrame/1","title":"ChromeRemoteInterface.RPC.Debugger.evaluateOnCallFrame/1","type":"function","doc":"Evaluates expression on a given call frame. Parameters: callFrameId - - Call frame identifier to evaluate on.expression - - Expression to evaluate.objectGroup - - String object group name to put result into (allows rapid releasing resulting object handles using releaseObjectGroup).includeCommandLineAPI - - Specifies whether command line API should be available to the evaluated expression, defaults to false.silent - - In silent mode exceptions thrown during evaluation are not reported and do not pause execution. Overrides setPauseOnException state.returnByValue - - Whether the result is expected to be a JSON object that should be sent by value.generatePreview - - Whether preview should be generated for the result.throwOnSideEffect - - Whether to throw an exception if side effect cannot be ruled out during evaluation.timeout - - Terminate execution after timing out (number of milliseconds)."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#evaluateOnCallFrame/2","title":"ChromeRemoteInterface.RPC.Debugger.evaluateOnCallFrame/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#evaluateOnCallFrame/3","title":"ChromeRemoteInterface.RPC.Debugger.evaluateOnCallFrame/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Debugger.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#getPossibleBreakpoints/1","title":"ChromeRemoteInterface.RPC.Debugger.getPossibleBreakpoints/1","type":"function","doc":"Returns possible locations for breakpoint. scriptId in start and end range locations should be the same. Parameters: start - - Start of range to search possible breakpoint locations in.end - - End of range to search possible breakpoint locations in (excluding). When not specified, end of scripts is used as end of range.restrictToFunction - - Only consider locations which are in the same (non-nested) function as start."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#getPossibleBreakpoints/2","title":"ChromeRemoteInterface.RPC.Debugger.getPossibleBreakpoints/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#getPossibleBreakpoints/3","title":"ChromeRemoteInterface.RPC.Debugger.getPossibleBreakpoints/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#getScriptSource/1","title":"ChromeRemoteInterface.RPC.Debugger.getScriptSource/1","type":"function","doc":"Returns source for the script with given id. Parameters: scriptId - - Id of the script to get source for."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#getScriptSource/2","title":"ChromeRemoteInterface.RPC.Debugger.getScriptSource/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#getScriptSource/3","title":"ChromeRemoteInterface.RPC.Debugger.getScriptSource/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#pause/1","title":"ChromeRemoteInterface.RPC.Debugger.pause/1","type":"function","doc":"Stops on the next JavaScript statement. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#pause/2","title":"ChromeRemoteInterface.RPC.Debugger.pause/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#pause/3","title":"ChromeRemoteInterface.RPC.Debugger.pause/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#removeBreakpoint/1","title":"ChromeRemoteInterface.RPC.Debugger.removeBreakpoint/1","type":"function","doc":"Removes JavaScript breakpoint. Parameters: breakpointId - -"},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#removeBreakpoint/2","title":"ChromeRemoteInterface.RPC.Debugger.removeBreakpoint/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#removeBreakpoint/3","title":"ChromeRemoteInterface.RPC.Debugger.removeBreakpoint/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#restartFrame/1","title":"ChromeRemoteInterface.RPC.Debugger.restartFrame/1","type":"function","doc":"Restarts particular call frame from the beginning. Parameters: callFrameId - - Call frame identifier to evaluate on."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#restartFrame/2","title":"ChromeRemoteInterface.RPC.Debugger.restartFrame/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#restartFrame/3","title":"ChromeRemoteInterface.RPC.Debugger.restartFrame/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#resume/1","title":"ChromeRemoteInterface.RPC.Debugger.resume/1","type":"function","doc":"Resumes JavaScript execution. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#resume/2","title":"ChromeRemoteInterface.RPC.Debugger.resume/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#resume/3","title":"ChromeRemoteInterface.RPC.Debugger.resume/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#searchInContent/1","title":"ChromeRemoteInterface.RPC.Debugger.searchInContent/1","type":"function","doc":"Searches for given string in script content. Parameters: scriptId - - Id of the script to search in.query - - String to search for.caseSensitive - - If true, search is case sensitive.isRegex - - If true, treats string parameter as regex."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#searchInContent/2","title":"ChromeRemoteInterface.RPC.Debugger.searchInContent/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#searchInContent/3","title":"ChromeRemoteInterface.RPC.Debugger.searchInContent/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setAsyncCallStackDepth/1","title":"ChromeRemoteInterface.RPC.Debugger.setAsyncCallStackDepth/1","type":"function","doc":"Enables or disables async call stacks tracking. Parameters: maxDepth - - Maximum depth of async call stacks. Setting to 0 will effectively disable collecting async call stacks (default)."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setAsyncCallStackDepth/2","title":"ChromeRemoteInterface.RPC.Debugger.setAsyncCallStackDepth/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setAsyncCallStackDepth/3","title":"ChromeRemoteInterface.RPC.Debugger.setAsyncCallStackDepth/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setBreakpoint/1","title":"ChromeRemoteInterface.RPC.Debugger.setBreakpoint/1","type":"function","doc":"Sets JavaScript breakpoint at a given location. Parameters: location - - Location to set breakpoint in.condition - - Expression to use as a breakpoint condition. When specified, debugger will only stop on the breakpoint if this expression evaluates to true."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setBreakpoint/2","title":"ChromeRemoteInterface.RPC.Debugger.setBreakpoint/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setBreakpoint/3","title":"ChromeRemoteInterface.RPC.Debugger.setBreakpoint/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setBreakpointByUrl/1","title":"ChromeRemoteInterface.RPC.Debugger.setBreakpointByUrl/1","type":"function","doc":"Sets JavaScript breakpoint at given location specified either by URL or URL regex. Once this command is issued, all existing parsed scripts will have breakpoints resolved and returned in locations property. Further matching script parsing will result in subsequent breakpointResolved events issued. This logical breakpoint will survive page reloads. Parameters: lineNumber - - Line number to set breakpoint at.url - - URL of the resources to set breakpoint on.urlRegex - - Regex pattern for the URLs of the resources to set breakpoints on. Either url or urlRegex must be specified.scriptHash - - Script hash of the resources to set breakpoint on.columnNumber - - Offset in the line to set breakpoint at.condition - - Expression to use as a breakpoint condition. When specified, debugger will only stop on the breakpoint if this expression evaluates to true."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setBreakpointByUrl/2","title":"ChromeRemoteInterface.RPC.Debugger.setBreakpointByUrl/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setBreakpointByUrl/3","title":"ChromeRemoteInterface.RPC.Debugger.setBreakpointByUrl/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setBreakpointsActive/1","title":"ChromeRemoteInterface.RPC.Debugger.setBreakpointsActive/1","type":"function","doc":"Activates / deactivates all breakpoints on the page. Parameters: active - - New value for breakpoints active state."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setBreakpointsActive/2","title":"ChromeRemoteInterface.RPC.Debugger.setBreakpointsActive/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setBreakpointsActive/3","title":"ChromeRemoteInterface.RPC.Debugger.setBreakpointsActive/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setPauseOnExceptions/1","title":"ChromeRemoteInterface.RPC.Debugger.setPauseOnExceptions/1","type":"function","doc":"Defines pause on exceptions state. Can be set to stop on all exceptions, uncaught exceptions or no exceptions. Initial pause on exceptions state is none. Parameters: state - - Pause on exceptions mode."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setPauseOnExceptions/2","title":"ChromeRemoteInterface.RPC.Debugger.setPauseOnExceptions/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setPauseOnExceptions/3","title":"ChromeRemoteInterface.RPC.Debugger.setPauseOnExceptions/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setScriptSource/1","title":"ChromeRemoteInterface.RPC.Debugger.setScriptSource/1","type":"function","doc":"Edits JavaScript source live. Parameters: scriptId - - Id of the script to edit.scriptSource - - New content of the script.dryRun - - If true the change will not actually be applied. Dry run may be used to get result description without actually modifying the code."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setScriptSource/2","title":"ChromeRemoteInterface.RPC.Debugger.setScriptSource/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setScriptSource/3","title":"ChromeRemoteInterface.RPC.Debugger.setScriptSource/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setSkipAllPauses/1","title":"ChromeRemoteInterface.RPC.Debugger.setSkipAllPauses/1","type":"function","doc":"Makes page not interrupt on any pauses (breakpoint, exception, dom exception etc). Parameters: skip - - New value for skip pauses state."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setSkipAllPauses/2","title":"ChromeRemoteInterface.RPC.Debugger.setSkipAllPauses/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setSkipAllPauses/3","title":"ChromeRemoteInterface.RPC.Debugger.setSkipAllPauses/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setVariableValue/1","title":"ChromeRemoteInterface.RPC.Debugger.setVariableValue/1","type":"function","doc":"Changes value of variable in a callframe. Object-based scopes are not supported and must be mutated manually. Parameters: scopeNumber - - 0-based number of scope as was listed in scope chain. Only &#39;local&#39;, &#39;closure&#39; and &#39;catch&#39; scope types are allowed. Other scopes could be manipulated manually.variableName - - Variable name.newValue - - New variable value.callFrameId - - Id of callframe that holds variable."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setVariableValue/2","title":"ChromeRemoteInterface.RPC.Debugger.setVariableValue/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#setVariableValue/3","title":"ChromeRemoteInterface.RPC.Debugger.setVariableValue/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#stepInto/1","title":"ChromeRemoteInterface.RPC.Debugger.stepInto/1","type":"function","doc":"Steps into the function call. Parameters: breakOnAsyncCall - - Debugger will issue additional Debugger.paused notification if any async task is scheduled before next pause."},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#stepInto/2","title":"ChromeRemoteInterface.RPC.Debugger.stepInto/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#stepInto/3","title":"ChromeRemoteInterface.RPC.Debugger.stepInto/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#stepOut/1","title":"ChromeRemoteInterface.RPC.Debugger.stepOut/1","type":"function","doc":"Steps out of the function call. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#stepOut/2","title":"ChromeRemoteInterface.RPC.Debugger.stepOut/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#stepOut/3","title":"ChromeRemoteInterface.RPC.Debugger.stepOut/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#stepOver/1","title":"ChromeRemoteInterface.RPC.Debugger.stepOver/1","type":"function","doc":"Steps over the statement. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#stepOver/2","title":"ChromeRemoteInterface.RPC.Debugger.stepOver/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Debugger.html#stepOver/3","title":"ChromeRemoteInterface.RPC.Debugger.stepOver/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html","title":"ChromeRemoteInterface.RPC.Emulation","type":"module","doc":"This domain emulates different environments for the page."},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#canEmulate/1","title":"ChromeRemoteInterface.RPC.Emulation.canEmulate/1","type":"function","doc":"Tells whether emulation is supported. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#canEmulate/2","title":"ChromeRemoteInterface.RPC.Emulation.canEmulate/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#canEmulate/3","title":"ChromeRemoteInterface.RPC.Emulation.canEmulate/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#clearDeviceMetricsOverride/1","title":"ChromeRemoteInterface.RPC.Emulation.clearDeviceMetricsOverride/1","type":"function","doc":"Clears the overriden device metrics. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#clearDeviceMetricsOverride/2","title":"ChromeRemoteInterface.RPC.Emulation.clearDeviceMetricsOverride/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#clearDeviceMetricsOverride/3","title":"ChromeRemoteInterface.RPC.Emulation.clearDeviceMetricsOverride/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#clearGeolocationOverride/1","title":"ChromeRemoteInterface.RPC.Emulation.clearGeolocationOverride/1","type":"function","doc":"Clears the overriden Geolocation Position and Error. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#clearGeolocationOverride/2","title":"ChromeRemoteInterface.RPC.Emulation.clearGeolocationOverride/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#clearGeolocationOverride/3","title":"ChromeRemoteInterface.RPC.Emulation.clearGeolocationOverride/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Emulation.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setDefaultBackgroundColorOverride/1","title":"ChromeRemoteInterface.RPC.Emulation.setDefaultBackgroundColorOverride/1","type":"function","doc":"Sets or clears an override of the default background color of the frame. This override is used if the content does not specify one. Parameters: color - - RGBA of the default background color. If not specified, any existing override will be cleared."},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setDefaultBackgroundColorOverride/2","title":"ChromeRemoteInterface.RPC.Emulation.setDefaultBackgroundColorOverride/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setDefaultBackgroundColorOverride/3","title":"ChromeRemoteInterface.RPC.Emulation.setDefaultBackgroundColorOverride/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setDeviceMetricsOverride/1","title":"ChromeRemoteInterface.RPC.Emulation.setDeviceMetricsOverride/1","type":"function","doc":"Overrides the values of device screen dimensions (window.screen.width, window.screen.height, window.innerWidth, window.innerHeight, and &quot;device-width&quot;/&quot;device-height&quot;-related CSS media query results). Parameters: width - - Overriding width value in pixels (minimum 0, maximum 10000000). 0 disables the override.height - - Overriding height value in pixels (minimum 0, maximum 10000000). 0 disables the override.deviceScaleFactor - - Overriding device scale factor value. 0 disables the override.mobile - - Whether to emulate mobile device. This includes viewport meta tag, overlay scrollbars, text autosizing and more.scale - - Scale to apply to resulting view image.screenWidth - - Overriding screen width value in pixels (minimum 0, maximum 10000000).screenHeight - - Overriding screen height value in pixels (minimum 0, maximum 10000000).positionX - - Overriding view X position on screen in pixels (minimum 0, maximum 10000000).positionY - - Overriding view Y position on screen in pixels (minimum 0, maximum 10000000).dontSetVisibleSize - - Do not set visible view size, rely upon explicit setVisibleSize call.screenOrientation - - Screen orientation override.viewport - - If set, the visible area of the page will be overridden to this viewport. This viewport change is not observed by the page, e.g. viewport-relative elements do not change positions."},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setDeviceMetricsOverride/2","title":"ChromeRemoteInterface.RPC.Emulation.setDeviceMetricsOverride/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setDeviceMetricsOverride/3","title":"ChromeRemoteInterface.RPC.Emulation.setDeviceMetricsOverride/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setEmulatedMedia/1","title":"ChromeRemoteInterface.RPC.Emulation.setEmulatedMedia/1","type":"function","doc":"Emulates the given media for CSS media queries. Parameters: media - - Media type to emulate. Empty string disables the override."},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setEmulatedMedia/2","title":"ChromeRemoteInterface.RPC.Emulation.setEmulatedMedia/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setEmulatedMedia/3","title":"ChromeRemoteInterface.RPC.Emulation.setEmulatedMedia/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setGeolocationOverride/1","title":"ChromeRemoteInterface.RPC.Emulation.setGeolocationOverride/1","type":"function","doc":"Overrides the Geolocation Position or Error. Omitting any of the parameters emulates position unavailable. Parameters: latitude - - Mock latitudelongitude - - Mock longitudeaccuracy - - Mock accuracy"},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setGeolocationOverride/2","title":"ChromeRemoteInterface.RPC.Emulation.setGeolocationOverride/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setGeolocationOverride/3","title":"ChromeRemoteInterface.RPC.Emulation.setGeolocationOverride/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setScriptExecutionDisabled/1","title":"ChromeRemoteInterface.RPC.Emulation.setScriptExecutionDisabled/1","type":"function","doc":"Switches script execution in the page. Parameters: value - - Whether script execution should be disabled in the page."},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setScriptExecutionDisabled/2","title":"ChromeRemoteInterface.RPC.Emulation.setScriptExecutionDisabled/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setScriptExecutionDisabled/3","title":"ChromeRemoteInterface.RPC.Emulation.setScriptExecutionDisabled/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setTouchEmulationEnabled/1","title":"ChromeRemoteInterface.RPC.Emulation.setTouchEmulationEnabled/1","type":"function","doc":"Enables touch on platforms which do not support them. Parameters: enabled - - Whether the touch event emulation should be enabled.maxTouchPoints - - Maximum touch points supported. Defaults to one."},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setTouchEmulationEnabled/2","title":"ChromeRemoteInterface.RPC.Emulation.setTouchEmulationEnabled/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setTouchEmulationEnabled/3","title":"ChromeRemoteInterface.RPC.Emulation.setTouchEmulationEnabled/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setUserAgentOverride/1","title":"ChromeRemoteInterface.RPC.Emulation.setUserAgentOverride/1","type":"function","doc":"Allows overriding user agent with the given string. Parameters: userAgent - - User agent to use.acceptLanguage - - Browser langugage to emulate.platform - - The platform navigator.platform should return."},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setUserAgentOverride/2","title":"ChromeRemoteInterface.RPC.Emulation.setUserAgentOverride/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Emulation.html#setUserAgentOverride/3","title":"ChromeRemoteInterface.RPC.Emulation.setUserAgentOverride/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.IO.html","title":"ChromeRemoteInterface.RPC.IO","type":"module","doc":"Input/Output operations for streams produced by DevTools."},{"ref":"ChromeRemoteInterface.RPC.IO.html#close/1","title":"ChromeRemoteInterface.RPC.IO.close/1","type":"function","doc":"Close the stream, discard any temporary backing storage. Parameters: handle - - Handle of the stream to close."},{"ref":"ChromeRemoteInterface.RPC.IO.html#close/2","title":"ChromeRemoteInterface.RPC.IO.close/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.IO.html#close/3","title":"ChromeRemoteInterface.RPC.IO.close/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.IO.html#experimental?/0","title":"ChromeRemoteInterface.RPC.IO.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.IO.html#read/1","title":"ChromeRemoteInterface.RPC.IO.read/1","type":"function","doc":"Read a chunk of the stream Parameters: handle - - Handle of the stream to read.offset - - Seek to the specified offset before reading (if not specificed, proceed with offset following the last read). Some types of streams may only support sequential reads.size - - Maximum number of bytes to read (left upon the agent discretion if not specified)."},{"ref":"ChromeRemoteInterface.RPC.IO.html#read/2","title":"ChromeRemoteInterface.RPC.IO.read/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.IO.html#read/3","title":"ChromeRemoteInterface.RPC.IO.read/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.IO.html#resolveBlob/1","title":"ChromeRemoteInterface.RPC.IO.resolveBlob/1","type":"function","doc":"Return UUID of Blob object specified by a remote object id. Parameters: objectId - - Object id of a Blob object wrapper."},{"ref":"ChromeRemoteInterface.RPC.IO.html#resolveBlob/2","title":"ChromeRemoteInterface.RPC.IO.resolveBlob/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.IO.html#resolveBlob/3","title":"ChromeRemoteInterface.RPC.IO.resolveBlob/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Input.html","title":"ChromeRemoteInterface.RPC.Input","type":"module","doc":""},{"ref":"ChromeRemoteInterface.RPC.Input.html#dispatchKeyEvent/1","title":"ChromeRemoteInterface.RPC.Input.dispatchKeyEvent/1","type":"function","doc":"Dispatches a key event to the page. Parameters: type - - Type of the key event.modifiers - - Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8 (default: 0).timestamp - - Time at which the event occurred.text - - Text as generated by processing a virtual key code with a keyboard layout. Not needed for for keyUp and rawKeyDown events (default: &quot;&quot;)unmodifiedText - - Text that would have been generated by the keyboard if no modifiers were pressed (except for shift). Useful for shortcut (accelerator) key handling (default: &quot;&quot;).keyIdentifier - - Unique key identifier (e.g., &#39;U+0041&#39;) (default: &quot;&quot;).code - - Unique DOM defined string value for each physical key (e.g., &#39;KeyA&#39;) (default: &quot;&quot;).key - - Unique DOM defined string value describing the meaning of the key in the context of active modifiers, keyboard layout, etc (e.g., &#39;AltGr&#39;) (default: &quot;&quot;).windowsVirtualKeyCode - - Windows virtual key code (default: 0).nativeVirtualKeyCode - - Native virtual key code (default: 0).autoRepeat - - Whether the event was generated from auto repeat (default: false).isKeypad - - Whether the event was generated from the keypad (default: false).isSystemKey - - Whether the event was a system key event (default: false).location - - Whether the event was from the left or right side of the keyboard. 1=Left, 2=Right (default: 0)."},{"ref":"ChromeRemoteInterface.RPC.Input.html#dispatchKeyEvent/2","title":"ChromeRemoteInterface.RPC.Input.dispatchKeyEvent/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Input.html#dispatchKeyEvent/3","title":"ChromeRemoteInterface.RPC.Input.dispatchKeyEvent/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Input.html#dispatchMouseEvent/1","title":"ChromeRemoteInterface.RPC.Input.dispatchMouseEvent/1","type":"function","doc":"Dispatches a mouse event to the page. Parameters: type - - Type of the mouse event.x - - X coordinate of the event relative to the main frame&#39;s viewport in CSS pixels.y - - Y coordinate of the event relative to the main frame&#39;s viewport in CSS pixels. 0 refers to the top of the viewport and Y increases as it proceeds towards the bottom of the viewport.modifiers - - Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8 (default: 0).timestamp - - Time at which the event occurred.button - - Mouse button (default: &quot;none&quot;).buttons - - A number indicating which buttons are pressed on the mouse when a mouse event is triggered. Left=1, Right=2, Middle=4, Back=8, Forward=16, None=0.clickCount - - Number of times the mouse button was clicked (default: 0).deltaX - - X delta in CSS pixels for mouse wheel event (default: 0).deltaY - - Y delta in CSS pixels for mouse wheel event (default: 0).pointerType - - Pointer type (default: &quot;mouse&quot;)."},{"ref":"ChromeRemoteInterface.RPC.Input.html#dispatchMouseEvent/2","title":"ChromeRemoteInterface.RPC.Input.dispatchMouseEvent/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Input.html#dispatchMouseEvent/3","title":"ChromeRemoteInterface.RPC.Input.dispatchMouseEvent/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Input.html#dispatchTouchEvent/1","title":"ChromeRemoteInterface.RPC.Input.dispatchTouchEvent/1","type":"function","doc":"Dispatches a touch event to the page. Parameters: type - - Type of the touch event. TouchEnd and TouchCancel must not contain any touch points, while TouchStart and TouchMove must contains at least one.touchPoints - - Active touch points on the touch device. One event per any changed point (compared to previous touch event in a sequence) is generated, emulating pressing/moving/releasing points one by one.modifiers - - Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8 (default: 0).timestamp - - Time at which the event occurred."},{"ref":"ChromeRemoteInterface.RPC.Input.html#dispatchTouchEvent/2","title":"ChromeRemoteInterface.RPC.Input.dispatchTouchEvent/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Input.html#dispatchTouchEvent/3","title":"ChromeRemoteInterface.RPC.Input.dispatchTouchEvent/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Input.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Input.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Input.html#setIgnoreInputEvents/1","title":"ChromeRemoteInterface.RPC.Input.setIgnoreInputEvents/1","type":"function","doc":"Ignores input events (useful while auditing page). Parameters: ignore - - Ignores input events processing when set to true."},{"ref":"ChromeRemoteInterface.RPC.Input.html#setIgnoreInputEvents/2","title":"ChromeRemoteInterface.RPC.Input.setIgnoreInputEvents/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Input.html#setIgnoreInputEvents/3","title":"ChromeRemoteInterface.RPC.Input.setIgnoreInputEvents/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Log.html","title":"ChromeRemoteInterface.RPC.Log","type":"module","doc":"Provides access to log entries."},{"ref":"ChromeRemoteInterface.RPC.Log.html#clear/1","title":"ChromeRemoteInterface.RPC.Log.clear/1","type":"function","doc":"Clears the log. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Log.html#clear/2","title":"ChromeRemoteInterface.RPC.Log.clear/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Log.html#clear/3","title":"ChromeRemoteInterface.RPC.Log.clear/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Log.html#disable/1","title":"ChromeRemoteInterface.RPC.Log.disable/1","type":"function","doc":"Disables log domain, prevents further log entries from being reported to the client. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Log.html#disable/2","title":"ChromeRemoteInterface.RPC.Log.disable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Log.html#disable/3","title":"ChromeRemoteInterface.RPC.Log.disable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Log.html#enable/1","title":"ChromeRemoteInterface.RPC.Log.enable/1","type":"function","doc":"Enables log domain, sends the entries collected so far to the client by means of the entryAdded notification. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Log.html#enable/2","title":"ChromeRemoteInterface.RPC.Log.enable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Log.html#enable/3","title":"ChromeRemoteInterface.RPC.Log.enable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Log.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Log.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Log.html#startViolationsReport/1","title":"ChromeRemoteInterface.RPC.Log.startViolationsReport/1","type":"function","doc":"start violation reporting. Parameters: config - - Configuration for violations."},{"ref":"ChromeRemoteInterface.RPC.Log.html#startViolationsReport/2","title":"ChromeRemoteInterface.RPC.Log.startViolationsReport/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Log.html#startViolationsReport/3","title":"ChromeRemoteInterface.RPC.Log.startViolationsReport/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Log.html#stopViolationsReport/1","title":"ChromeRemoteInterface.RPC.Log.stopViolationsReport/1","type":"function","doc":"Stop violation reporting. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Log.html#stopViolationsReport/2","title":"ChromeRemoteInterface.RPC.Log.stopViolationsReport/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Log.html#stopViolationsReport/3","title":"ChromeRemoteInterface.RPC.Log.stopViolationsReport/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html","title":"ChromeRemoteInterface.RPC.Network","type":"module","doc":"Network domain allows tracking network activities of the page. It exposes information about http, file, data and other requests and responses, their headers, bodies, timing, etc."},{"ref":"ChromeRemoteInterface.RPC.Network.html#clearBrowserCache/1","title":"ChromeRemoteInterface.RPC.Network.clearBrowserCache/1","type":"function","doc":"Clears browser cache. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Network.html#clearBrowserCache/2","title":"ChromeRemoteInterface.RPC.Network.clearBrowserCache/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#clearBrowserCache/3","title":"ChromeRemoteInterface.RPC.Network.clearBrowserCache/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#clearBrowserCookies/1","title":"ChromeRemoteInterface.RPC.Network.clearBrowserCookies/1","type":"function","doc":"Clears browser cookies. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Network.html#clearBrowserCookies/2","title":"ChromeRemoteInterface.RPC.Network.clearBrowserCookies/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#clearBrowserCookies/3","title":"ChromeRemoteInterface.RPC.Network.clearBrowserCookies/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#deleteCookies/1","title":"ChromeRemoteInterface.RPC.Network.deleteCookies/1","type":"function","doc":"Deletes browser cookies with matching name and url or domain/path pair. Parameters: name - - Name of the cookies to remove.url - - If specified, deletes all the cookies with the given name where domain and path match provided URL.domain - - If specified, deletes only cookies with the exact domain.path - - If specified, deletes only cookies with the exact path."},{"ref":"ChromeRemoteInterface.RPC.Network.html#deleteCookies/2","title":"ChromeRemoteInterface.RPC.Network.deleteCookies/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#deleteCookies/3","title":"ChromeRemoteInterface.RPC.Network.deleteCookies/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#disable/1","title":"ChromeRemoteInterface.RPC.Network.disable/1","type":"function","doc":"Disables network tracking, prevents network events from being sent to the client. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Network.html#disable/2","title":"ChromeRemoteInterface.RPC.Network.disable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#disable/3","title":"ChromeRemoteInterface.RPC.Network.disable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#emulateNetworkConditions/1","title":"ChromeRemoteInterface.RPC.Network.emulateNetworkConditions/1","type":"function","doc":"Activates emulation of network conditions. Parameters: offline - - True to emulate internet disconnection.latency - - Minimum latency from request sent to response headers received (ms).downloadThroughput - - Maximal aggregated download throughput (bytes/sec). -1 disables download throttling.uploadThroughput - - Maximal aggregated upload throughput (bytes/sec). -1 disables upload throttling.connectionType - - Connection type if known."},{"ref":"ChromeRemoteInterface.RPC.Network.html#emulateNetworkConditions/2","title":"ChromeRemoteInterface.RPC.Network.emulateNetworkConditions/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#emulateNetworkConditions/3","title":"ChromeRemoteInterface.RPC.Network.emulateNetworkConditions/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#enable/1","title":"ChromeRemoteInterface.RPC.Network.enable/1","type":"function","doc":"Enables network tracking, network events will now be delivered to the client. Parameters: maxTotalBufferSize - - Buffer size in bytes to use when preserving network payloads (XHRs, etc).maxResourceBufferSize - - Per-resource buffer size in bytes to use when preserving network payloads (XHRs, etc).maxPostDataSize - - Longest post body size (in bytes) that would be included in requestWillBeSent notification"},{"ref":"ChromeRemoteInterface.RPC.Network.html#enable/2","title":"ChromeRemoteInterface.RPC.Network.enable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#enable/3","title":"ChromeRemoteInterface.RPC.Network.enable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Network.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#getAllCookies/1","title":"ChromeRemoteInterface.RPC.Network.getAllCookies/1","type":"function","doc":"Returns all browser cookies. Depending on the backend support, will return detailed cookie information in the cookies field. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Network.html#getAllCookies/2","title":"ChromeRemoteInterface.RPC.Network.getAllCookies/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#getAllCookies/3","title":"ChromeRemoteInterface.RPC.Network.getAllCookies/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#getCookies/1","title":"ChromeRemoteInterface.RPC.Network.getCookies/1","type":"function","doc":"Returns all browser cookies for the current URL. Depending on the backend support, will return detailed cookie information in the cookies field. Parameters: urls - - The list of URLs for which applicable cookies will be fetched"},{"ref":"ChromeRemoteInterface.RPC.Network.html#getCookies/2","title":"ChromeRemoteInterface.RPC.Network.getCookies/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#getCookies/3","title":"ChromeRemoteInterface.RPC.Network.getCookies/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#getRequestPostData/1","title":"ChromeRemoteInterface.RPC.Network.getRequestPostData/1","type":"function","doc":"Returns post data sent with the request. Returns an error when no data was sent with the request. Parameters: requestId - - Identifier of the network request to get content for."},{"ref":"ChromeRemoteInterface.RPC.Network.html#getRequestPostData/2","title":"ChromeRemoteInterface.RPC.Network.getRequestPostData/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#getRequestPostData/3","title":"ChromeRemoteInterface.RPC.Network.getRequestPostData/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#getResponseBody/1","title":"ChromeRemoteInterface.RPC.Network.getResponseBody/1","type":"function","doc":"Returns content served for the given request. Parameters: requestId - - Identifier of the network request to get content for."},{"ref":"ChromeRemoteInterface.RPC.Network.html#getResponseBody/2","title":"ChromeRemoteInterface.RPC.Network.getResponseBody/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#getResponseBody/3","title":"ChromeRemoteInterface.RPC.Network.getResponseBody/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#setCacheDisabled/1","title":"ChromeRemoteInterface.RPC.Network.setCacheDisabled/1","type":"function","doc":"Toggles ignoring cache for each request. If true, cache will not be used. Parameters: cacheDisabled - - Cache disabled state."},{"ref":"ChromeRemoteInterface.RPC.Network.html#setCacheDisabled/2","title":"ChromeRemoteInterface.RPC.Network.setCacheDisabled/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#setCacheDisabled/3","title":"ChromeRemoteInterface.RPC.Network.setCacheDisabled/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#setCookie/1","title":"ChromeRemoteInterface.RPC.Network.setCookie/1","type":"function","doc":"Sets a cookie with the given cookie data; may overwrite equivalent cookies if they exist. Parameters: name - - Cookie name.value - - Cookie value.url - - The request-URI to associate with the setting of the cookie. This value can affect the default domain and path values of the created cookie.domain - - Cookie domain.path - - Cookie path.secure - - True if cookie is secure.httpOnly - - True if cookie is http-only.sameSite - - Cookie SameSite type.expires - - Cookie expiration date, session cookie if not set"},{"ref":"ChromeRemoteInterface.RPC.Network.html#setCookie/2","title":"ChromeRemoteInterface.RPC.Network.setCookie/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#setCookie/3","title":"ChromeRemoteInterface.RPC.Network.setCookie/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#setCookies/1","title":"ChromeRemoteInterface.RPC.Network.setCookies/1","type":"function","doc":"Sets given cookies. Parameters: cookies - - Cookies to be set."},{"ref":"ChromeRemoteInterface.RPC.Network.html#setCookies/2","title":"ChromeRemoteInterface.RPC.Network.setCookies/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#setCookies/3","title":"ChromeRemoteInterface.RPC.Network.setCookies/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#setExtraHTTPHeaders/1","title":"ChromeRemoteInterface.RPC.Network.setExtraHTTPHeaders/1","type":"function","doc":"Specifies whether to always send extra HTTP headers with the requests from this page. Parameters: headers - - Map with extra HTTP headers."},{"ref":"ChromeRemoteInterface.RPC.Network.html#setExtraHTTPHeaders/2","title":"ChromeRemoteInterface.RPC.Network.setExtraHTTPHeaders/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#setExtraHTTPHeaders/3","title":"ChromeRemoteInterface.RPC.Network.setExtraHTTPHeaders/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#setUserAgentOverride/1","title":"ChromeRemoteInterface.RPC.Network.setUserAgentOverride/1","type":"function","doc":"Allows overriding user agent with the given string. Parameters: userAgent - - User agent to use.acceptLanguage - - Browser langugage to emulate.platform - - The platform navigator.platform should return."},{"ref":"ChromeRemoteInterface.RPC.Network.html#setUserAgentOverride/2","title":"ChromeRemoteInterface.RPC.Network.setUserAgentOverride/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Network.html#setUserAgentOverride/3","title":"ChromeRemoteInterface.RPC.Network.setUserAgentOverride/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html","title":"ChromeRemoteInterface.RPC.Page","type":"module","doc":"Actions and events related to the inspected page belong to the page domain."},{"ref":"ChromeRemoteInterface.RPC.Page.html#addScriptToEvaluateOnNewDocument/1","title":"ChromeRemoteInterface.RPC.Page.addScriptToEvaluateOnNewDocument/1","type":"function","doc":"Evaluates given script in every frame upon creation (before loading frame&#39;s scripts). Parameters: source - - worldName - - If specified, creates an isolated world with the given name and evaluates given script in it. This world name will be used as the ExecutionContextDescription::name when the corresponding event is emitted."},{"ref":"ChromeRemoteInterface.RPC.Page.html#addScriptToEvaluateOnNewDocument/2","title":"ChromeRemoteInterface.RPC.Page.addScriptToEvaluateOnNewDocument/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#addScriptToEvaluateOnNewDocument/3","title":"ChromeRemoteInterface.RPC.Page.addScriptToEvaluateOnNewDocument/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#bringToFront/1","title":"ChromeRemoteInterface.RPC.Page.bringToFront/1","type":"function","doc":"Brings page to front (activates tab). Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Page.html#bringToFront/2","title":"ChromeRemoteInterface.RPC.Page.bringToFront/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#bringToFront/3","title":"ChromeRemoteInterface.RPC.Page.bringToFront/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#captureScreenshot/1","title":"ChromeRemoteInterface.RPC.Page.captureScreenshot/1","type":"function","doc":"Capture page screenshot. Parameters: format - - Image compression format (defaults to png).quality - - Compression quality from range [0..100] (jpeg only).clip - - Capture the screenshot of a given region only.fromSurface - - Capture the screenshot from the surface, rather than the view. Defaults to true."},{"ref":"ChromeRemoteInterface.RPC.Page.html#captureScreenshot/2","title":"ChromeRemoteInterface.RPC.Page.captureScreenshot/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#captureScreenshot/3","title":"ChromeRemoteInterface.RPC.Page.captureScreenshot/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#createIsolatedWorld/1","title":"ChromeRemoteInterface.RPC.Page.createIsolatedWorld/1","type":"function","doc":"Creates an isolated world for the given frame. Parameters: frameId - - Id of the frame in which the isolated world should be created.worldName - - An optional name which is reported in the Execution Context.grantUniveralAccess - - Whether or not universal access should be granted to the isolated world. This is a powerful option, use with caution."},{"ref":"ChromeRemoteInterface.RPC.Page.html#createIsolatedWorld/2","title":"ChromeRemoteInterface.RPC.Page.createIsolatedWorld/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#createIsolatedWorld/3","title":"ChromeRemoteInterface.RPC.Page.createIsolatedWorld/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#disable/1","title":"ChromeRemoteInterface.RPC.Page.disable/1","type":"function","doc":"Disables page domain notifications. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Page.html#disable/2","title":"ChromeRemoteInterface.RPC.Page.disable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#disable/3","title":"ChromeRemoteInterface.RPC.Page.disable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#enable/1","title":"ChromeRemoteInterface.RPC.Page.enable/1","type":"function","doc":"Enables page domain notifications. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Page.html#enable/2","title":"ChromeRemoteInterface.RPC.Page.enable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#enable/3","title":"ChromeRemoteInterface.RPC.Page.enable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Page.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#getAppManifest/1","title":"ChromeRemoteInterface.RPC.Page.getAppManifest/1","type":"function","doc":"Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Page.html#getAppManifest/2","title":"ChromeRemoteInterface.RPC.Page.getAppManifest/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#getAppManifest/3","title":"ChromeRemoteInterface.RPC.Page.getAppManifest/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#getFrameTree/1","title":"ChromeRemoteInterface.RPC.Page.getFrameTree/1","type":"function","doc":"Returns present frame tree structure. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Page.html#getFrameTree/2","title":"ChromeRemoteInterface.RPC.Page.getFrameTree/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#getFrameTree/3","title":"ChromeRemoteInterface.RPC.Page.getFrameTree/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#getLayoutMetrics/1","title":"ChromeRemoteInterface.RPC.Page.getLayoutMetrics/1","type":"function","doc":"Returns metrics relating to the layouting of the page, such as viewport bounds/scale. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Page.html#getLayoutMetrics/2","title":"ChromeRemoteInterface.RPC.Page.getLayoutMetrics/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#getLayoutMetrics/3","title":"ChromeRemoteInterface.RPC.Page.getLayoutMetrics/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#getNavigationHistory/1","title":"ChromeRemoteInterface.RPC.Page.getNavigationHistory/1","type":"function","doc":"Returns navigation history for the current page. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Page.html#getNavigationHistory/2","title":"ChromeRemoteInterface.RPC.Page.getNavigationHistory/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#getNavigationHistory/3","title":"ChromeRemoteInterface.RPC.Page.getNavigationHistory/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#handleJavaScriptDialog/1","title":"ChromeRemoteInterface.RPC.Page.handleJavaScriptDialog/1","type":"function","doc":"Accepts or dismisses a JavaScript initiated dialog (alert, confirm, prompt, or onbeforeunload). Parameters: accept - - Whether to accept or dismiss the dialog.promptText - - The text to enter into the dialog prompt before accepting. Used only if this is a prompt dialog."},{"ref":"ChromeRemoteInterface.RPC.Page.html#handleJavaScriptDialog/2","title":"ChromeRemoteInterface.RPC.Page.handleJavaScriptDialog/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#handleJavaScriptDialog/3","title":"ChromeRemoteInterface.RPC.Page.handleJavaScriptDialog/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#navigate/1","title":"ChromeRemoteInterface.RPC.Page.navigate/1","type":"function","doc":"Navigates current page to the given URL. Parameters: url - - URL to navigate the page to.referrer - - Referrer URL.transitionType - - Intended transition type.frameId - - Frame id to navigate, if not specified navigates the top frame."},{"ref":"ChromeRemoteInterface.RPC.Page.html#navigate/2","title":"ChromeRemoteInterface.RPC.Page.navigate/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#navigate/3","title":"ChromeRemoteInterface.RPC.Page.navigate/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#navigateToHistoryEntry/1","title":"ChromeRemoteInterface.RPC.Page.navigateToHistoryEntry/1","type":"function","doc":"Navigates current page to the given history entry. Parameters: entryId - - Unique id of the entry to navigate to."},{"ref":"ChromeRemoteInterface.RPC.Page.html#navigateToHistoryEntry/2","title":"ChromeRemoteInterface.RPC.Page.navigateToHistoryEntry/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#navigateToHistoryEntry/3","title":"ChromeRemoteInterface.RPC.Page.navigateToHistoryEntry/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#printToPDF/1","title":"ChromeRemoteInterface.RPC.Page.printToPDF/1","type":"function","doc":"Print page as PDF. Parameters: landscape - - Paper orientation. Defaults to false.displayHeaderFooter - - Display header and footer. Defaults to false.printBackground - - Print background graphics. Defaults to false.scale - - Scale of the webpage rendering. Defaults to 1.paperWidth - - Paper width in inches. Defaults to 8.5 inches.paperHeight - - Paper height in inches. Defaults to 11 inches.marginTop - - Top margin in inches. Defaults to 1cm (~0.4 inches).marginBottom - - Bottom margin in inches. Defaults to 1cm (~0.4 inches).marginLeft - - Left margin in inches. Defaults to 1cm (~0.4 inches).marginRight - - Right margin in inches. Defaults to 1cm (~0.4 inches).pageRanges - - Paper ranges to print, e.g., &#39;1-5, 8, 11-13&#39;. Defaults to the empty string, which means print all pages.ignoreInvalidPageRanges - - Whether to silently ignore invalid but successfully parsed page ranges, such as &#39;3-2&#39;. Defaults to false.headerTemplate - - HTML template for the print header. Should be valid HTML markup with following classes used to inject printing values into them: date: formatted print date title: document title url: document location pageNumber: current page number totalPages: total pages in the document For example, &lt;span class=title&gt;&lt;/span&gt; would generate span containing the title.footerTemplate - - HTML template for the print footer. Should use the same format as the headerTemplate.preferCSSPageSize - - Whether or not to prefer page size as defined by css. Defaults to false, in which case the content will be scaled to fit the paper size."},{"ref":"ChromeRemoteInterface.RPC.Page.html#printToPDF/2","title":"ChromeRemoteInterface.RPC.Page.printToPDF/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#printToPDF/3","title":"ChromeRemoteInterface.RPC.Page.printToPDF/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#reload/1","title":"ChromeRemoteInterface.RPC.Page.reload/1","type":"function","doc":"Reloads given page optionally ignoring the cache. Parameters: ignoreCache - - If true, browser cache is ignored (as if the user pressed Shift+refresh).scriptToEvaluateOnLoad - - If set, the script will be injected into all frames of the inspected page after reload. Argument will be ignored if reloading dataURL origin."},{"ref":"ChromeRemoteInterface.RPC.Page.html#reload/2","title":"ChromeRemoteInterface.RPC.Page.reload/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#reload/3","title":"ChromeRemoteInterface.RPC.Page.reload/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#removeScriptToEvaluateOnNewDocument/1","title":"ChromeRemoteInterface.RPC.Page.removeScriptToEvaluateOnNewDocument/1","type":"function","doc":"Removes given script from the list. Parameters: identifier - -"},{"ref":"ChromeRemoteInterface.RPC.Page.html#removeScriptToEvaluateOnNewDocument/2","title":"ChromeRemoteInterface.RPC.Page.removeScriptToEvaluateOnNewDocument/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#removeScriptToEvaluateOnNewDocument/3","title":"ChromeRemoteInterface.RPC.Page.removeScriptToEvaluateOnNewDocument/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#resetNavigationHistory/1","title":"ChromeRemoteInterface.RPC.Page.resetNavigationHistory/1","type":"function","doc":"Resets navigation history for the current page. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Page.html#resetNavigationHistory/2","title":"ChromeRemoteInterface.RPC.Page.resetNavigationHistory/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#resetNavigationHistory/3","title":"ChromeRemoteInterface.RPC.Page.resetNavigationHistory/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#setDocumentContent/1","title":"ChromeRemoteInterface.RPC.Page.setDocumentContent/1","type":"function","doc":"Sets given markup as the document&#39;s HTML. Parameters: frameId - - Frame id to set HTML for.html - - HTML content to set."},{"ref":"ChromeRemoteInterface.RPC.Page.html#setDocumentContent/2","title":"ChromeRemoteInterface.RPC.Page.setDocumentContent/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#setDocumentContent/3","title":"ChromeRemoteInterface.RPC.Page.setDocumentContent/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#stopLoading/1","title":"ChromeRemoteInterface.RPC.Page.stopLoading/1","type":"function","doc":"Force the page stop all navigations and pending resource fetches. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Page.html#stopLoading/2","title":"ChromeRemoteInterface.RPC.Page.stopLoading/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Page.html#stopLoading/3","title":"ChromeRemoteInterface.RPC.Page.stopLoading/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Performance.html","title":"ChromeRemoteInterface.RPC.Performance","type":"module","doc":""},{"ref":"ChromeRemoteInterface.RPC.Performance.html#disable/1","title":"ChromeRemoteInterface.RPC.Performance.disable/1","type":"function","doc":"Disable collecting and reporting metrics. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Performance.html#disable/2","title":"ChromeRemoteInterface.RPC.Performance.disable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Performance.html#disable/3","title":"ChromeRemoteInterface.RPC.Performance.disable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Performance.html#enable/1","title":"ChromeRemoteInterface.RPC.Performance.enable/1","type":"function","doc":"Enable collecting and reporting metrics. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Performance.html#enable/2","title":"ChromeRemoteInterface.RPC.Performance.enable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Performance.html#enable/3","title":"ChromeRemoteInterface.RPC.Performance.enable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Performance.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Performance.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Performance.html#getMetrics/1","title":"ChromeRemoteInterface.RPC.Performance.getMetrics/1","type":"function","doc":"Retrieve current values of run-time metrics. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Performance.html#getMetrics/2","title":"ChromeRemoteInterface.RPC.Performance.getMetrics/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Performance.html#getMetrics/3","title":"ChromeRemoteInterface.RPC.Performance.getMetrics/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html","title":"ChromeRemoteInterface.RPC.Profiler","type":"module","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#disable/1","title":"ChromeRemoteInterface.RPC.Profiler.disable/1","type":"function","doc":"Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#disable/2","title":"ChromeRemoteInterface.RPC.Profiler.disable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#disable/3","title":"ChromeRemoteInterface.RPC.Profiler.disable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#enable/1","title":"ChromeRemoteInterface.RPC.Profiler.enable/1","type":"function","doc":"Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#enable/2","title":"ChromeRemoteInterface.RPC.Profiler.enable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#enable/3","title":"ChromeRemoteInterface.RPC.Profiler.enable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Profiler.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#getBestEffortCoverage/1","title":"ChromeRemoteInterface.RPC.Profiler.getBestEffortCoverage/1","type":"function","doc":"Collect coverage data for the current isolate. The coverage data may be incomplete due to garbage collection. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#getBestEffortCoverage/2","title":"ChromeRemoteInterface.RPC.Profiler.getBestEffortCoverage/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#getBestEffortCoverage/3","title":"ChromeRemoteInterface.RPC.Profiler.getBestEffortCoverage/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#setSamplingInterval/1","title":"ChromeRemoteInterface.RPC.Profiler.setSamplingInterval/1","type":"function","doc":"Changes CPU profiler sampling interval. Must be called before CPU profiles recording started. Parameters: interval - - New sampling interval in microseconds."},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#setSamplingInterval/2","title":"ChromeRemoteInterface.RPC.Profiler.setSamplingInterval/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#setSamplingInterval/3","title":"ChromeRemoteInterface.RPC.Profiler.setSamplingInterval/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#start/1","title":"ChromeRemoteInterface.RPC.Profiler.start/1","type":"function","doc":"Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#start/2","title":"ChromeRemoteInterface.RPC.Profiler.start/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#start/3","title":"ChromeRemoteInterface.RPC.Profiler.start/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#startPreciseCoverage/1","title":"ChromeRemoteInterface.RPC.Profiler.startPreciseCoverage/1","type":"function","doc":"Enable precise code coverage. Coverage data for JavaScript executed before enabling precise code coverage may be incomplete. Enabling prevents running optimized code and resets execution counters. Parameters: callCount - - Collect accurate call counts beyond simple &#39;covered&#39; or &#39;not covered&#39;.detailed - - Collect block-based coverage."},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#startPreciseCoverage/2","title":"ChromeRemoteInterface.RPC.Profiler.startPreciseCoverage/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#startPreciseCoverage/3","title":"ChromeRemoteInterface.RPC.Profiler.startPreciseCoverage/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#stop/1","title":"ChromeRemoteInterface.RPC.Profiler.stop/1","type":"function","doc":"Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#stop/2","title":"ChromeRemoteInterface.RPC.Profiler.stop/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#stop/3","title":"ChromeRemoteInterface.RPC.Profiler.stop/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#stopPreciseCoverage/1","title":"ChromeRemoteInterface.RPC.Profiler.stopPreciseCoverage/1","type":"function","doc":"Disable precise code coverage. Disabling releases unnecessary execution count records and allows executing optimized code. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#stopPreciseCoverage/2","title":"ChromeRemoteInterface.RPC.Profiler.stopPreciseCoverage/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#stopPreciseCoverage/3","title":"ChromeRemoteInterface.RPC.Profiler.stopPreciseCoverage/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#takePreciseCoverage/1","title":"ChromeRemoteInterface.RPC.Profiler.takePreciseCoverage/1","type":"function","doc":"Collect coverage data for the current isolate, and resets execution counters. Precise code coverage needs to have started. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#takePreciseCoverage/2","title":"ChromeRemoteInterface.RPC.Profiler.takePreciseCoverage/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Profiler.html#takePreciseCoverage/3","title":"ChromeRemoteInterface.RPC.Profiler.takePreciseCoverage/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html","title":"ChromeRemoteInterface.RPC.Runtime","type":"module","doc":"Runtime domain exposes JavaScript runtime by means of remote evaluation and mirror objects. Evaluation results are returned as mirror object that expose object type, string representation and unique identifier that can be used for further object reference. Original objects are maintained in memory unless they are either explicitly released or are released along with the other objects in their object group."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#awaitPromise/1","title":"ChromeRemoteInterface.RPC.Runtime.awaitPromise/1","type":"function","doc":"Add handler to promise with given promise object id. Parameters: promiseObjectId - - Identifier of the promise.returnByValue - - Whether the result is expected to be a JSON object that should be sent by value.generatePreview - - Whether preview should be generated for the result."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#awaitPromise/2","title":"ChromeRemoteInterface.RPC.Runtime.awaitPromise/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#awaitPromise/3","title":"ChromeRemoteInterface.RPC.Runtime.awaitPromise/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#callFunctionOn/1","title":"ChromeRemoteInterface.RPC.Runtime.callFunctionOn/1","type":"function","doc":"Calls function with given declaration on the given object. Object group of the result is inherited from the target object. Parameters: functionDeclaration - - Declaration of the function to call.objectId - - Identifier of the object to call function on. Either objectId or executionContextId should be specified.arguments - - Call arguments. All call arguments must belong to the same JavaScript world as the target object.silent - - In silent mode exceptions thrown during evaluation are not reported and do not pause execution. Overrides setPauseOnException state.returnByValue - - Whether the result is expected to be a JSON object which should be sent by value.generatePreview - - Whether preview should be generated for the result.userGesture - - Whether execution should be treated as initiated by user in the UI.awaitPromise - - Whether execution should await for resulting value and return once awaited promise is resolved.executionContextId - - Specifies execution context which global object will be used to call function on. Either executionContextId or objectId should be specified.objectGroup - - Symbolic group name that can be used to release multiple objects. If objectGroup is not specified and objectId is, objectGroup will be inherited from object."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#callFunctionOn/2","title":"ChromeRemoteInterface.RPC.Runtime.callFunctionOn/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#callFunctionOn/3","title":"ChromeRemoteInterface.RPC.Runtime.callFunctionOn/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#compileScript/1","title":"ChromeRemoteInterface.RPC.Runtime.compileScript/1","type":"function","doc":"Compiles expression. Parameters: expression - - Expression to compile.sourceURL - - Source url to be set for the script.persistScript - - Specifies whether the compiled script should be persisted.executionContextId - - Specifies in which execution context to perform script run. If the parameter is omitted the evaluation will be performed in the context of the inspected page."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#compileScript/2","title":"ChromeRemoteInterface.RPC.Runtime.compileScript/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#compileScript/3","title":"ChromeRemoteInterface.RPC.Runtime.compileScript/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#disable/1","title":"ChromeRemoteInterface.RPC.Runtime.disable/1","type":"function","doc":"Disables reporting of execution contexts creation. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#disable/2","title":"ChromeRemoteInterface.RPC.Runtime.disable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#disable/3","title":"ChromeRemoteInterface.RPC.Runtime.disable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#discardConsoleEntries/1","title":"ChromeRemoteInterface.RPC.Runtime.discardConsoleEntries/1","type":"function","doc":"Discards collected exceptions and console API calls. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#discardConsoleEntries/2","title":"ChromeRemoteInterface.RPC.Runtime.discardConsoleEntries/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#discardConsoleEntries/3","title":"ChromeRemoteInterface.RPC.Runtime.discardConsoleEntries/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#enable/1","title":"ChromeRemoteInterface.RPC.Runtime.enable/1","type":"function","doc":"Enables reporting of execution contexts creation by means of executionContextCreated event. When the reporting gets enabled the event will be sent immediately for each existing execution context. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#enable/2","title":"ChromeRemoteInterface.RPC.Runtime.enable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#enable/3","title":"ChromeRemoteInterface.RPC.Runtime.enable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#evaluate/1","title":"ChromeRemoteInterface.RPC.Runtime.evaluate/1","type":"function","doc":"Evaluates expression on global object. Parameters: expression - - Expression to evaluate.objectGroup - - Symbolic group name that can be used to release multiple objects.includeCommandLineAPI - - Determines whether Command Line API should be available during the evaluation.silent - - In silent mode exceptions thrown during evaluation are not reported and do not pause execution. Overrides setPauseOnException state.contextId - - Specifies in which execution context to perform evaluation. If the parameter is omitted the evaluation will be performed in the context of the inspected page.returnByValue - - Whether the result is expected to be a JSON object that should be sent by value.generatePreview - - Whether preview should be generated for the result.userGesture - - Whether execution should be treated as initiated by user in the UI.awaitPromise - - Whether execution should await for resulting value and return once awaited promise is resolved.throwOnSideEffect - - Whether to throw an exception if side effect cannot be ruled out during evaluation.timeout - - Terminate execution after timing out (number of milliseconds)."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#evaluate/2","title":"ChromeRemoteInterface.RPC.Runtime.evaluate/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#evaluate/3","title":"ChromeRemoteInterface.RPC.Runtime.evaluate/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Runtime.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#getProperties/1","title":"ChromeRemoteInterface.RPC.Runtime.getProperties/1","type":"function","doc":"Returns properties of a given object. Object group of the result is inherited from the target object. Parameters: objectId - - Identifier of the object to return properties for.ownProperties - - If true, returns properties belonging only to the element itself, not to its prototype chain.accessorPropertiesOnly - - If true, returns accessor properties (with getter/setter) only; internal properties are not returned either.generatePreview - - Whether preview should be generated for the results."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#getProperties/2","title":"ChromeRemoteInterface.RPC.Runtime.getProperties/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#getProperties/3","title":"ChromeRemoteInterface.RPC.Runtime.getProperties/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#globalLexicalScopeNames/1","title":"ChromeRemoteInterface.RPC.Runtime.globalLexicalScopeNames/1","type":"function","doc":"Returns all let, const and class variables from global scope. Parameters: executionContextId - - Specifies in which execution context to lookup global scope variables."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#globalLexicalScopeNames/2","title":"ChromeRemoteInterface.RPC.Runtime.globalLexicalScopeNames/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#globalLexicalScopeNames/3","title":"ChromeRemoteInterface.RPC.Runtime.globalLexicalScopeNames/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#queryObjects/1","title":"ChromeRemoteInterface.RPC.Runtime.queryObjects/1","type":"function","doc":"Parameters: prototypeObjectId - - Identifier of the prototype to return objects for.objectGroup - - Symbolic group name that can be used to release the results."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#queryObjects/2","title":"ChromeRemoteInterface.RPC.Runtime.queryObjects/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#queryObjects/3","title":"ChromeRemoteInterface.RPC.Runtime.queryObjects/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#releaseObject/1","title":"ChromeRemoteInterface.RPC.Runtime.releaseObject/1","type":"function","doc":"Releases remote object with given id. Parameters: objectId - - Identifier of the object to release."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#releaseObject/2","title":"ChromeRemoteInterface.RPC.Runtime.releaseObject/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#releaseObject/3","title":"ChromeRemoteInterface.RPC.Runtime.releaseObject/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#releaseObjectGroup/1","title":"ChromeRemoteInterface.RPC.Runtime.releaseObjectGroup/1","type":"function","doc":"Releases all remote objects that belong to a given group. Parameters: objectGroup - - Symbolic object group name."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#releaseObjectGroup/2","title":"ChromeRemoteInterface.RPC.Runtime.releaseObjectGroup/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#releaseObjectGroup/3","title":"ChromeRemoteInterface.RPC.Runtime.releaseObjectGroup/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#runIfWaitingForDebugger/1","title":"ChromeRemoteInterface.RPC.Runtime.runIfWaitingForDebugger/1","type":"function","doc":"Tells inspected instance to run if it was waiting for debugger to attach. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#runIfWaitingForDebugger/2","title":"ChromeRemoteInterface.RPC.Runtime.runIfWaitingForDebugger/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#runIfWaitingForDebugger/3","title":"ChromeRemoteInterface.RPC.Runtime.runIfWaitingForDebugger/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#runScript/1","title":"ChromeRemoteInterface.RPC.Runtime.runScript/1","type":"function","doc":"Runs script with given id in a given context. Parameters: scriptId - - Id of the script to run.executionContextId - - Specifies in which execution context to perform script run. If the parameter is omitted the evaluation will be performed in the context of the inspected page.objectGroup - - Symbolic group name that can be used to release multiple objects.silent - - In silent mode exceptions thrown during evaluation are not reported and do not pause execution. Overrides setPauseOnException state.includeCommandLineAPI - - Determines whether Command Line API should be available during the evaluation.returnByValue - - Whether the result is expected to be a JSON object which should be sent by value.generatePreview - - Whether preview should be generated for the result.awaitPromise - - Whether execution should await for resulting value and return once awaited promise is resolved."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#runScript/2","title":"ChromeRemoteInterface.RPC.Runtime.runScript/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#runScript/3","title":"ChromeRemoteInterface.RPC.Runtime.runScript/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#setAsyncCallStackDepth/1","title":"ChromeRemoteInterface.RPC.Runtime.setAsyncCallStackDepth/1","type":"function","doc":"Enables or disables async call stacks tracking. Parameters: maxDepth - - Maximum depth of async call stacks. Setting to 0 will effectively disable collecting async call stacks (default)."},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#setAsyncCallStackDepth/2","title":"ChromeRemoteInterface.RPC.Runtime.setAsyncCallStackDepth/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Runtime.html#setAsyncCallStackDepth/3","title":"ChromeRemoteInterface.RPC.Runtime.setAsyncCallStackDepth/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Security.html","title":"ChromeRemoteInterface.RPC.Security","type":"module","doc":"Security"},{"ref":"ChromeRemoteInterface.RPC.Security.html#disable/1","title":"ChromeRemoteInterface.RPC.Security.disable/1","type":"function","doc":"Disables tracking security state changes. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Security.html#disable/2","title":"ChromeRemoteInterface.RPC.Security.disable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Security.html#disable/3","title":"ChromeRemoteInterface.RPC.Security.disable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Security.html#enable/1","title":"ChromeRemoteInterface.RPC.Security.enable/1","type":"function","doc":"Enables tracking security state changes. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Security.html#enable/2","title":"ChromeRemoteInterface.RPC.Security.enable/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Security.html#enable/3","title":"ChromeRemoteInterface.RPC.Security.enable/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Security.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Security.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html","title":"ChromeRemoteInterface.RPC.Target","type":"module","doc":"Supports additional targets discovery and allows to attach to them."},{"ref":"ChromeRemoteInterface.RPC.Target.html#activateTarget/1","title":"ChromeRemoteInterface.RPC.Target.activateTarget/1","type":"function","doc":"Activates (focuses) the target. Parameters: targetId - -"},{"ref":"ChromeRemoteInterface.RPC.Target.html#activateTarget/2","title":"ChromeRemoteInterface.RPC.Target.activateTarget/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#activateTarget/3","title":"ChromeRemoteInterface.RPC.Target.activateTarget/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#attachToTarget/1","title":"ChromeRemoteInterface.RPC.Target.attachToTarget/1","type":"function","doc":"Attaches to the target with given id. Parameters: targetId - - flatten - - Enables &quot;flat&quot; access to the session via specifying sessionId attribute in the commands."},{"ref":"ChromeRemoteInterface.RPC.Target.html#attachToTarget/2","title":"ChromeRemoteInterface.RPC.Target.attachToTarget/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#attachToTarget/3","title":"ChromeRemoteInterface.RPC.Target.attachToTarget/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#closeTarget/1","title":"ChromeRemoteInterface.RPC.Target.closeTarget/1","type":"function","doc":"Closes the target. If the target is a page that gets closed too. Parameters: targetId - -"},{"ref":"ChromeRemoteInterface.RPC.Target.html#closeTarget/2","title":"ChromeRemoteInterface.RPC.Target.closeTarget/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#closeTarget/3","title":"ChromeRemoteInterface.RPC.Target.closeTarget/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#createTarget/1","title":"ChromeRemoteInterface.RPC.Target.createTarget/1","type":"function","doc":"Creates a new page. Parameters: url - - The initial URL the page will be navigated to.width - - Frame width in DIP (headless chrome only).height - - Frame height in DIP (headless chrome only).browserContextId - - The browser context to create the page in.enableBeginFrameControl - - Whether BeginFrames for this target will be controlled via DevTools (headless chrome only, not supported on MacOS yet, false by default)."},{"ref":"ChromeRemoteInterface.RPC.Target.html#createTarget/2","title":"ChromeRemoteInterface.RPC.Target.createTarget/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#createTarget/3","title":"ChromeRemoteInterface.RPC.Target.createTarget/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#detachFromTarget/1","title":"ChromeRemoteInterface.RPC.Target.detachFromTarget/1","type":"function","doc":"Detaches session with given id. Parameters: sessionId - - Session to detach.targetId - - Deprecated."},{"ref":"ChromeRemoteInterface.RPC.Target.html#detachFromTarget/2","title":"ChromeRemoteInterface.RPC.Target.detachFromTarget/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#detachFromTarget/3","title":"ChromeRemoteInterface.RPC.Target.detachFromTarget/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#experimental?/0","title":"ChromeRemoteInterface.RPC.Target.experimental?/0","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#getTargets/1","title":"ChromeRemoteInterface.RPC.Target.getTargets/1","type":"function","doc":"Retrieves a list of available targets. Parameters:"},{"ref":"ChromeRemoteInterface.RPC.Target.html#getTargets/2","title":"ChromeRemoteInterface.RPC.Target.getTargets/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#getTargets/3","title":"ChromeRemoteInterface.RPC.Target.getTargets/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#sendMessageToTarget/1","title":"ChromeRemoteInterface.RPC.Target.sendMessageToTarget/1","type":"function","doc":"Sends protocol message over session with given id. Parameters: message - - sessionId - - Identifier of the session.targetId - - Deprecated."},{"ref":"ChromeRemoteInterface.RPC.Target.html#sendMessageToTarget/2","title":"ChromeRemoteInterface.RPC.Target.sendMessageToTarget/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#sendMessageToTarget/3","title":"ChromeRemoteInterface.RPC.Target.sendMessageToTarget/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#setDiscoverTargets/1","title":"ChromeRemoteInterface.RPC.Target.setDiscoverTargets/1","type":"function","doc":"Controls whether to discover available targets and notify via targetCreated/targetInfoChanged/targetDestroyed events. Parameters: discover - - Whether to discover available targets."},{"ref":"ChromeRemoteInterface.RPC.Target.html#setDiscoverTargets/2","title":"ChromeRemoteInterface.RPC.Target.setDiscoverTargets/2","type":"function","doc":""},{"ref":"ChromeRemoteInterface.RPC.Target.html#setDiscoverTargets/3","title":"ChromeRemoteInterface.RPC.Target.setDiscoverTargets/3","type":"function","doc":""},{"ref":"ChromeRemoteInterface.Server.html","title":"ChromeRemoteInterface.Server","type":"module","doc":""},{"ref":"ChromeRemoteInterface.Server.html#t:t/0","title":"ChromeRemoteInterface.Server.t/0","type":"type","doc":""},{"ref":"ChromeRemoteInterface.Session.html","title":"ChromeRemoteInterface.Session","type":"module","doc":"This module provides an API to the DevTools HTTP API."},{"ref":"ChromeRemoteInterface.Session.html#activate_page/2","title":"ChromeRemoteInterface.Session.activate_page/2","type":"function","doc":"Calls `/json/activate/:id`."},{"ref":"ChromeRemoteInterface.Session.html#close_page/2","title":"ChromeRemoteInterface.Session.close_page/2","type":"function","doc":"Closes a Page. Calls /json/close/:id."},{"ref":"ChromeRemoteInterface.Session.html#list_pages/1","title":"ChromeRemoteInterface.Session.list_pages/1","type":"function","doc":"List all Pages. Calls /json/list."},{"ref":"ChromeRemoteInterface.Session.html#new/1","title":"ChromeRemoteInterface.Session.new/1","type":"function","doc":"Create a new ChromeRemoteInterface.Server to perform HTTP requests to."},{"ref":"ChromeRemoteInterface.Session.html#new_page/1","title":"ChromeRemoteInterface.Session.new_page/1","type":"function","doc":"Creates a new Page. Calls /json/new."},{"ref":"ChromeRemoteInterface.Session.html#version/1","title":"ChromeRemoteInterface.Session.version/1","type":"function","doc":"Gets the version of Chrome. Calls /json/version."},{"ref":"ChromeRemoteInterface.Websocket.html","title":"ChromeRemoteInterface.Websocket","type":"module","doc":""},{"ref":"ChromeRemoteInterface.Websocket.html#start_link/1","title":"ChromeRemoteInterface.Websocket.start_link/1","type":"function","doc":""}]